Skip to main content
GET
/
v1
/
organizations
List Organizations
curl --request GET \
  --url https://api.spairehq.com/v1/organizations/ \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "avatar_url": "<string>",
      "allow_customer_updates": true,
      "email": "<string>",
      "website": "<string>",
      "socials": [
        {
          "url": "<string>"
        }
      ],
      "details_submitted_at": "2023-11-07T05:31:56Z",
      "feature_settings": {
        "issue_funding_enabled": false,
        "seat_based_pricing_enabled": false,
        "course_player_white_label": false,
        "revops_enabled": false,
        "wallets_enabled": false,
        "member_model_enabled": false,
        "tinybird_read": false,
        "tinybird_compare": false,
        "perks_unlocked": false
      },
      "subscription_settings": {
        "allow_multiple_subscriptions": true,
        "allow_customer_updates": true,
        "benefit_revocation_grace_period": 123,
        "prevent_trial_abuse": true
      },
      "notification_settings": {
        "new_order": true,
        "new_subscription": true
      },
      "customer_email_settings": {
        "order_confirmation": true,
        "subscription_cancellation": true,
        "subscription_confirmation": true,
        "subscription_cycled": true,
        "subscription_past_due": true,
        "subscription_revoked": true,
        "subscription_uncanceled": true,
        "subscription_updated": true
      },
      "customer_portal_settings": {
        "usage": {
          "show": true
        },
        "subscription": {
          "update_seats": true,
          "update_plan": true
        }
      },
      "ai_onboarding_completed_at": "2023-11-07T05:31:56Z",
      "storefront_settings": {
        "enabled": false,
        "show_header": true,
        "header_image_url": "<string>",
        "show_logo": true,
        "show_name": true,
        "show_description": true,
        "description": "<string>",
        "thumbnail_size": "medium",
        "show_product_details": true,
        "profile_title": "<string>",
        "skills": [
          "<string>"
        ],
        "languages": [
          "<string>"
        ],
        "available_for_work": false,
        "contact_url": "<string>",
        "featured_mode": "curated",
        "featured_product_ids": [
          "<string>"
        ],
        "show_card_products": true,
        "storefront_links": [
          {
            "id": "<string>",
            "url": "<string>",
            "title": "<string>",
            "description": "<string>",
            "image_url": "<string>",
            "type": "standard",
            "platform": "<string>"
          }
        ],
        "links_position": "after_products",
        "block_order": [],
        "links_layout": "carousel",
        "header_focal_point": "<string>",
        "space_items": [
          {
            "id": "<string>",
            "hidden": false
          }
        ]
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

slug
string | null

Filter by slug.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
slug,
-slug,
name,
-name,
next_review_threshold,
-next_review_threshold,
days_in_status,
-days_in_status

Response

Successful Response

items
Organization · object[]
required
pagination
Pagination · object
required